Skip to content

HYCU

All operations require authentication.

10 operationsv1/license/hycu
Agent setup

Get list of owned HYCU licensesBeta

GET
/1.0/license/hycu

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get HYCU license infoBeta

GET
/1.0/license/hycu/{serviceName}

Path parameters

serviceName
required
string

Service name

Response

200StateWithIAMsuccessful operation
comment
read-only
string

The latest comment or error message

controllerId
read-only
string

The HYCU controller ID for this license

expirationDate
read-only
stringdate-time

The license expiration date

iam
read-only
ResourceMetadata

IAM resource metadata

licenseStatus
read-only
LicenseStatusEnum

The license status

ValuesactiveerrorprocessingtoActivate
serviceName
read-only
string

License ID

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "comment": "string", "controllerId": "string", "expirationDate": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "licenseStatus": "active", "serviceName": "string"}

Alter this object propertiesBeta

PUT
/1.0/license/hycu/{serviceName}

Path parameters

serviceName
required
string

The name of your Hycu license

Request body (required)

creation
read-only
stringdate-time

This license creation date

deleteAtExpiration
boolean

Shall we delete this on expiration ?

domain
read-only
string

The internal name of your license

license
read-only
string

The Hycu license file

licenseId
read-only
string

The license id on license provider side

status
read-only
StateEnum

This license state

ValuesokreleasedterminatedtoDeliver

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Activate the HYCU licenseBeta

POST
/1.0/license/hycu/{serviceName}/activate

Path parameters

serviceName
required
string

Service name

Request body (required)

licenseRequest
required
string

License request in base64 format

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName}/activate \
  -H "authorization: Bearer $OVH_TOKEN"

Confirm service terminationBeta

POST
/1.0/license/hycu/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The name of your Hycu license

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Get the HYCU license fileBeta

GET
/1.0/license/hycu/{serviceName}/license

Path parameters

serviceName
required
string

Service name

Response

200LicenseFilesuccessful operation
content
read-only
stringpassword

Raw text of the HYCU license file

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName}/license \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "content": "string"}

Manually refresh the HYCU licenseBeta

POST
/1.0/license/hycu/{serviceName}/refresh

Path parameters

serviceName
required
string

Service name

Request body (required)

licenseRequest
string

License request in base64 format

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName}/refresh \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationBeta

GET
/1.0/license/hycu/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The name of your Hycu license

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationBeta

PUT
/1.0/license/hycu/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The name of your Hycu license

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Request service terminationBeta

POST
/1.0/license/hycu/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The name of your Hycu license

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/license/hycu/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"